Bug 837612 - SELinux is preventing /usr/sbin/vpnc from 'read' accesses on the chr_file /dev/net/tun.
SELinux is preventing /usr/sbin/vpnc from 'read' accesses on the chr_file /de...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:113e1fe3eebce2c8bf020322ce2...
:
: 837610 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-04 07:44 EDT by klement.sekera
Modified: 2012-10-17 04:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-17 04:44:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description klement.sekera 2012-07-04 07:44:14 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.3-1.fc17.x86_64
time:           Wed 04 Jul 2012 01:43:57 PM CEST

description:
:SELinux is preventing /usr/sbin/vpnc from 'read' accesses on the chr_file /dev/net/tun.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that vpnc should be allowed read access on the tun chr_file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep vpnc /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:object_r:unlabeled_t:s0
:Target Context                system_u:object_r:tun_tap_device_t:s0
:Target Objects                /dev/net/tun [ chr_file ]
:Source                        vpnc
:Source Path                   /usr/sbin/vpnc
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           vpnc-0.5.3-14.svn457.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-134.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.3-1.fc17.x86_64 #1 SMP
:                              Mon Jun 18 19:53:17 UTC 2012 x86_64 x86_64
:Alert Count                   998
:First Seen                    Wed 04 Jul 2012 11:09:24 AM CEST
:Last Seen                     Wed 04 Jul 2012 11:10:30 AM CEST
:Local ID                      9437e334-b256-47bd-a132-80574762c124
:
:Raw Audit Messages
:type=AVC msg=audit(1341393030.518:434055): avc:  denied  { read } for  pid=11315 comm="vpnc" path="/dev/net/tun" dev="devtmpfs" ino=7899 scontext=system_u:object_r:unlabeled_t:s0 tcontext=system_u:object_r:tun_tap_device_t:s0 tclass=chr_file
:
:
:type=SYSCALL msg=audit(1341393030.518:434055): arch=x86_64 syscall=read success=no exit=EACCES a0=4 a1=7ff3f7819b08 a2=1000 a3=0 items=0 ppid=1 pid=11315 auid=1000 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=2 comm=vpnc exe=/usr/sbin/vpnc subj=system_u:object_r:unlabeled_t:s0 key=(null)
:
:Hash: vpnc,unlabeled_t,tun_tap_device_t,chr_file,read
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-07-04 08:36:20 EDT
*** Bug 837610 has been marked as a duplicate of this bug. ***
Comment 2 Miroslav Grepl 2012-07-04 08:59:26 EDT
Did you remove vpn module?

# semodule -l |grep vpn

Note You need to log in before you can comment on or make changes to this bug.